import { HttpContext } from '@adonisjs/core/http';
export default class SvelteKitProvider {
    app;
    static needsApplication = true;
    constructor(app) {
        this.app = app;
    }
    async boot() {
        const env = this.app.getEnvironment();
        if (env !== 'web' && env !== 'test') {
            return;
        }
        const sveltePath = this.app.makePath(this.app.inProduction ? '' : 'build', 'svelte');
        const { handler } = await import(`${sveltePath}/handler.js`);
        HttpContext.getter('svelteHandler', function () {
            return () => new Promise((resolve) => handler(this)(this.request.request, this.response.response, () => resolve()));
        }, false);
    }
}
